*THIS DO-FILE INSTALLS ALL REQUIRED STATA PACKAGES
*first make sure that current working directory to the code folder 

************************************************************************************************************************
***														SETUP														 ***
************************************************************************************************************************
* Install from SSC
ssc install acreg, replace
ssc install hdfe, replace		//dependency of acreg
ssc install ranktest, replace	//dependency of acreg
ssc install clus_nway, replace
ssc install coefplot, replace
ssc install estout, replace
ssc install ftools, replace
ssc install gtools, replace
ssc install ietoolkit, replace
ssc install keeporder, replace
ssc install ppmlhdfe, replace
ssc install rdrobust, replace
ssc install reghdfe, replace
ssc install robbox, replace
ssc install scheme_tufte, replace
ssc install vincenty, replace
ssc install which_version, replace


*Net install
net install "https://www.stata-journal.com/software/sj5-3/st0026_2", replace	//pscore
net install "http://www.stata.com/users/vwiggins/grc1leg", replace


*Install cem
ssc install cem, all replace
*Check if installation worked; if installation failed move cem-mata.do file because of bug in installation -- see https://www.statalist.org/forums/forum/general-stata-discussion/general/1384046-problems-using-cem
cap cem
if _rc==601 & c(os)=="Windows"{
	cap copy "cem-mata.do" "C:/ado/plus/c/cem-mata.do"
	cap erase "cem-mata.do"
}


*Install python integration
if c(os)=="MacOSX"{
	python set exec /usr/local/bin/python3
}
else if c(os)=="Windows"{
	local python_path_win = "C:\Users\" + c(username) + "\AppData\Local\Programs\Python\Python39\python.exe"
	python set exec "`python_path_win'"
}
else{
	di "Manually define path to Python executable."
}
*Check if the path was set correctly and the right version of Python is installed
python query
*If default path does not work:
*(1) Make sure that Python is installed 
*    The results of the paper have been produced with Python version 3.9.4
*    Download this version here: https://www.python.org/downloads/release/python-394/
*(2) a. Search path to python executable: python search
*    b. Manually set path to python executable: python set exec "path_found_in_previous_step"
