*THIS DO-FILE RUNS ALL ANALYSES WITH THE PANEL DATA

************************************************************************************************************************
***											TABLE 1: DEATH AND VICTORY RATES		 								 ***
************************************************************************************************************************

*Use monthly dataset
use $dataset, clear

***PANEL A: EXITS
gen st = exp_scw		//survival variable: exp_scw
stset st, id(name_id) failure(exit==1)

est clear
eststo: xi: stcox mentionperiod_n,                                                                                 				cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer,                                                                        				cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n,                                                  				cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n pilot_quality_scwadj,                                   		cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "Y"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW*,                   		cl(id_squadron)
	estadd local aircraft "Y"	
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron,		cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "N"
eststo: xi: stcox 				 everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t,	cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"

esttab using "$gphpath/table1_exit.tex", replace booktabs													///
	   se eform star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress	///
	   keep(mentionperiod_n pastpeerofmentioned_n everpeer)													///
	   order(mentionperiod_n pastpeerofmentioned_n everpeer)												///
	   varlabels(mentionperiod_n "Mention period" pastpeerofmentioned_n "Former peer gets mentioned" everpeer "Ever peer of mentioned pilots")	///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")								

	   
***PANEL B: VICTORIES
xtset name_id t

est clear
eststo: xi: reghdfe vic mentionperiod_n,                                                              			 cl(id_squadron) a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n,                                        			 cl(id_squadron) a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj,                          	 cl(id_squadron) a(name_id)
	estadd local aircraft "N"
	estadd local quality "Y"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW*,     cl(id_squadron) a(name_id)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW*,     cl(id_squadron) a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "N"
eststo: xi: reghdfe vic                 pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(id_squadron) a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"

esttab using "$gphpath/table1_vic.tex", replace																		///
	   se r2 star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs		///
	   keep(mentionperiod_n pastpeerofmentioned_n)																	///
	   order(mentionperiod_n pastpeerofmentioned_n)																	///
	   varlabels(mentionperiod_n "Mention period" pastpeerofmentioned_n "Former peer gets mentioned")				///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "experience \textit{Experience}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")

										  

										   
************************************************************************************************************************
***											FIGURE 11: SOCIAL UNIVERSE MARGINS PLOT	 								 ***
************************************************************************************************************************

*Use monthly dataset
use $dataset, clear

*Add social universe variables
merge 1:1 name_id t using "${path}/currentdata/socialuniverse_variables.dta"
gen share_peers_now = total_common/number_collected
	
	
***PANEL A: EXITS
gen st = exp_scw		//survival variable: exp_scw
stset st, id(name_id) failure(exit==1)

*Store margins
preserve
	* Run Cox regression
	stcox everpeer pastpeerofmentioned_n share_peers_now pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t, cl(id_squadron)
	* Store marginal effect of share_peers_now+pastpeerofmentioned_n
	cap postfile drop marginsdata
	postfile marginsdata share_peers_now effect effect_lb effect_ub using "${path}/currentdata/temp/sharecommon_margins.dta", replace
	forvalues a = 0(0.2)1 {
		lincom pastpeerofmentioned_n+share_peers_now*`a', level(90) eform
		post marginsdata (`a') (`r(estimate)') (`r(lb)') (`r(ub)')
	}
	postclose marginsdata
restore
	
*Create margins plot
preserve
	use "${path}/currentdata/temp/sharecommon_margins", clear		
	twoway (connected effect share_peers_now, msymbol(Dh))													///margins plot
		   (rcap effect_lb effect_ub share_peers_now)														///confidence intervals
		   , xtitle("Social universe") title("") 															///
			 ytitle("Exit rate") yscale(log) ylabel(1 "  1" 2 "  2" 4 "  4" 8 "  8") 						///
			 xlabel(0 "0" 0.2 ".2" 0.4 ".4" 0.6 ".6" 0.8 ".8" 1 "1" 1.06 ">1") xscale(range(-0.02 1.08))	///
			 legend(order(1 "Former peer gets mentioned") size(small)) 			 							///
			 yline(1, lpattern(dash))																		///
			 saving("${path}/currentdata/temp/marginsplot_exit", replace) fysize(75)
restore	
	

***PANEL B: VICTORIES
xtset name_id t
*Store margins
preserve
	*Run regression
	reghdfe vic                 pastpeerofmentioned_n share_peers_now pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(id_squadron) a(name_id id_squadron)
	* Store marginal effect of share_peers_now+pastpeerofmentioned_n
	cap postfile drop marginsdata
	postfile marginsdata share_peers_now effect effect_lb effect_ub using "${path}/currentdata/temp/sharecommon_margins.dta", replace
	forvalues a = 0(0.2)1 {
		lincom pastpeerofmentioned_n+share_peers_now*`a', level(90)
		post marginsdata (`a') (`r(estimate)') (`r(lb)') (`r(ub)')
	}
	postclose marginsdata

restore

*Create margins plot
preserve
	use "${path}/currentdata/temp/sharecommon_margins", clear
	twoway (connected effect share_peers_now, msymbol(Dh))													///margins plot
		   (rcap effect_lb effect_ub share_peers_now)														///confidence intervals
		   , xtitle("Social universe") title("") 															///
			 ytitle("Victory rate") ylabels(-0.5 "-.5" 0 "  0" 0.5 ".5" 1 "1" 1.5 "1.5")					///
			 xlabel(0 "0" 0.2 ".2" 0.4 ".4" 0.6 ".6" 0.8 ".8" 1 "1" 1.06 ">1") xscale(range(-0.02 1.08))	///
			 legend(order(1 "Former peer gets mentioned") size(small)) 			 							///
			 yline(0, lpattern(dash))																		///
			 saving("${path}/currentdata/temp/marginsplot_vic", replace) fysize(75)
restore


***PANEL C: HISTOGRAM
* Store histogram data
preserve
	*Store histogram numbers
	twoway__histogram_gen share_peers_now if pastpeerofmentioned_n == 1, gen(h x) width(0.04) start(0)
	keep if !missing(x)
	keep h x
	*Summarize >1
	replace x = 1.06 if x > 1
	collapse (sum) h, by(x)
	*Make variable names compatible with margins data: xvar is _at1
	rename x _at1
	save "${path}/currentdata/temp/sharecommon_hist", replace
restore

*Create histogram
preserve
	use "${path}/currentdata/temp/sharecommon_hist.dta", clear
	twoway (bar h _at1, fintensity(25) lcolor(white) lwidth(vvvthin) barwidth(0.04))	///histogram (Note: lwidth(none) does not work -->tiny white line)
		   , ytitle("Density") xtitle("Social universe") title("")						///
		     ylabels(0 "0" 0.5 ".5" 1 "1" 1.5 "1.5" 2 "2")								///
		     xlabel(0 "0" 0.2 ".2" 0.4 ".4" 0.6 ".6" 0.8 ".8" 1 "1" 1.06 ">1")			///
			 xscale(range(0 1.06) off)  yscale(rev)										///
		   saving("${path}/currentdata/temp/hist_vic", replace) fysize(20)
restore


***COMBINED GRAPH	
grc1leg "${path}/currentdata/temp/marginsplot_exit.gph"	/// marginsplot for exits 
		"${path}/currentdata/temp/marginsplot_vic.gph"	/// marginsplot for victories
		"${path}/currentdata/temp/hist_vic.gph"			/// histogram
		, cols(1) imargin(zero) name(combined_graph, replace)
graph display combined_graph, xsize(12) ysize(20)	

graph export "$gphpath/figure11.eps", replace

erase "${path}/currentdata/temp/marginsplot_exit.gph"
erase "${path}/currentdata/temp/marginsplot_vic.gph"
erase "${path}/currentdata/temp/hist_vic.gph"
erase "${path}/currentdata/socialuniverse_variables.dta"



************************************************************************************************************************
***									TABLE A2: Alternative Clustering Of Standard Errors		 						 ***
************************************************************************************************************************

*Use monthly dataset
use $dataset, clear

*Add cluster variable for mentioned pilots
br name_id t anymention
gen     mentioned_id = 0
replace mentioned_id = name_id if anymention == 1

drop if mentioned_id == 0
sort t mentioned_id
by t: gen num = _n

keep mentioned_id t num
reshape wide mentioned_id, i(t) j(num)

forvalues i = 1/8 {
	recode mentioned_id`i' . = 0
}

egen mentioned_id = group(mentioned_id1-mentioned_id8)
su mentioned_id

keep t mentioned_id

merge 1:m t using $dataset
drop _m

recode mentioned_id . = 0


***PANEL A: EXITS
gen st = exp_scw
stset st, id(name_id) failure(exit==1)

est clear
*Baseline (last column of Table 1)
eststo: xi: stcox everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t,	cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Two-way clustering by pilot (name_id) and squadron (id_squadron)
eststo: xi: clus_nway stcox everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t, vce(cluster name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Cluster by mentioned pilots
eststo: xi: stcox everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t, cl(mentioned_id)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Cluster by base (base-id)
eststo: xi: stcox everpeer pastpeerofmentioned_n pilot_quality_scwadj front BF109* FW* ib387.id_squadron i.t, cl(base_id)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"

esttab using "$gphpath/tableA2_exit.tex", replace																	///
	   se eform star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs	///
	   keep(pastpeerofmentioned_n everpeer)																			///
	   order(pastpeerofmentioned_n everpeer)																		///
	   varlabels(pastpeerofmentioned_n "Former peer gets mentioned" everpeer "Ever peer of mentioned pilots")		///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")
								

***PANEL B: VICTORIES
xtset name_id t

est clear
*Baseline (last column of Table 1)
eststo: xi: reghdfe vic pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(id_squadron) 		a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Two-way clustering by pilot (name_id) and squadron (id_squadron)
eststo: xi: reghdfe vic pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(name_id id_squadron) a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Cluster by mentioned pilots
eststo: xi: reghdfe vic pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(id_squadron) 		a(name_id mentioned_id)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Cluster by base (base_id)
eststo: xi: reghdfe vic pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(base_id) 			a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
*Spatial clustering: cutoffs 100 and 500
foreach i in 100 500{
	preserve
		drop if missing(base_latitude) | missing(base_longitude)
		eststo: xi: acreg vic	pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t,  spatial latitude(base_latitude) longitude(base_longitude) distcutoff(`i') pfe1(name_id) pfe2(id_squadron) dropsingletons
			estadd local aircraft "Y"
			estadd local quality "Y"
			estadd local front "Y"
			estadd local experience "Y"
			estadd local pilotFE "Y"
			estadd local squadronFE "Y"
			estadd local timeFE "Y"
	restore
}	

esttab using "$gphpath/tableA2_vic.tex", replace																///
	   se r2 star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs	///
	   keep(pastpeerofmentioned_n)																				///
	   order(pastpeerofmentioned_n)																				///
	   varlabels(pastpeerofmentioned_n "Former peer gets mentioned")											///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "experience \textit{Experience}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")



										   
************************************************************************************************************************
***										TABLE A3: TABLE 1, PANEL B WITH POISSON		 								 ***
************************************************************************************************************************

*Use monthly dataset
use $dataset, clear

***VICTORIES
xtset name_id t

est clear
eststo: xi: ppmlhdfe vic mentionperiod_n,                                                                		 a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: ppmlhdfe vic mentionperiod_n pastpeerofmentioned_n,                                           		a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: ppmlhdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj,                      		a(name_id)
	estadd local aircraft "N"
	estadd local quality "Y"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: ppmlhdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW*,	a(name_id)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: ppmlhdfe vic mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW*,	a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "N"
eststo: xi: ppmlhdfe vic 				 pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW*, a(name_id id_squadron t)
	estadd local aircraft "Y"
	estadd local quality "Y"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"
	
esttab , se star(* .1 ** .05 *** .01) b(%9.3f) keep(mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw) order(mentionperiod_n pastpeerofmentioned_n pilot_quality_scwadj front exp_scw) mtitle(PilotFE PilotFE +quality +controls +SqFE +TimeFE) varlabels(mentionperiod_n "Mention period" front "Eastern front" exp_scw "Experience" _cons "Constant" pilot_quality_scwadj "Pilot quality" pastpeerofmentioned_n "Former peer gets mentioned of mentioned") varwidth(34) modelwidth(10) nonotes compress

esttab using "$gphpath/tableA3.tex", replace																	///
	   se star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs	///
	   keep(mentionperiod_n pastpeerofmentioned_n)																///
	   order(mentionperiod_n pastpeerofmentioned_n)																///
	   varlabels(mentionperiod_n "Mention period" pastpeerofmentioned_n "Former peer gets mentioned")			///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "experience \textit{Experience}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")

	   
									   
									   
************************************************************************************************************************
***											TABLE A4: NO QUALITY CONTROL			 								 ***
************************************************************************************************************************

*Use monthly dataset
use $dataset, clear

***PANEL A: EXITS
gen st = exp_scw
stset st, id(name_id) failure(exit==1)

est clear
eststo: xi: stcox mentionperiod_n,                                                                      	cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer,                                                             	cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n,                                       	cl(id_squadron)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n front BF109* FW*,                  		cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: stcox mentionperiod_n everpeer pastpeerofmentioned_n front BF109* FW* ib387.id_squadron,		cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "N"
eststo: xi: stcox 				  everpeer pastpeerofmentioned_n front BF109* FW* ib387.id_squadron i.t,	cl(id_squadron)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local pilotFE "N"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"


esttab using "$gphpath/tableA4_exit.tex", replace																	///
	   se eform star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs	///
	   keep(mentionperiod_n pastpeerofmentioned_n everpeer)															///
	   order(mentionperiod_n pastpeerofmentioned_n everpeer)														///
	   varlabels(mentionperiod_n "Mention period" pastpeerofmentioned_n "Former peer gets mentioned" everpeer "Ever peer of mentioned pilots")	///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")
								

***PANEL B: VICTORIES
xtset name_id t

est clear
eststo: xi: reghdfe vic mentionperiod_n,                                                    cl(id_squadron) a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n,                              cl(id_squadron) a(name_id)
	estadd local aircraft "N"
	estadd local quality "N"
	estadd local front "N"
	estadd local experience "N"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n front exp_scw BF109* FW*,     cl(id_squadron) a(name_id)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "N"
	estadd local timeFE "N"
eststo: xi: reghdfe vic mentionperiod_n pastpeerofmentioned_n front exp_scw BF109* FW*,     cl(id_squadron) a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "N"
eststo: xi: reghdfe vic                 pastpeerofmentioned_n front exp_scw BF109* FW* i.t,	cl(id_squadron) a(name_id id_squadron)
	estadd local aircraft "Y"
	estadd local quality "N"
	estadd local front "Y"
	estadd local experience "Y"
	estadd local pilotFE "Y"
	estadd local squadronFE "Y"
	estadd local timeFE "Y"

esttab using "$gphpath/tableA4_vic.tex", replace	///
	   se r2 star(* .1 ** .05 *** .01) b(%9.3f) nomtitles varwidth(34) modelwidth(10) nonotes compress booktabs		///
	   keep(mentionperiod_n pastpeerofmentioned_n)																	///
	   order(mentionperiod_n pastpeerofmentioned_n)																	///
	   varlabels(mentionperiod_n "Mention period" pastpeerofmentioned_n "Former peer gets mentioned")				///
	   scalars("aircraft \textit{Aircraft type}" "quality \textit{Pilot quality}" "front \textit{Eastern front}" "experience \textit{Experience}" "pilotFE \textit{Pilot FE}" "squadronFE \textit{Squadron FE}" "timeFE \textit{Time FE}")


										   						   

************************************************************************************************************************
***									Table A1: BALANCEDNESS	TEST, PEERS OF MENTIONED PILOTS		 					 ***
************************************************************************************************************************

*Use monthly data
use $dataset, clear

iebaltab vic exp_scw exit front, grpvar(everpeer)    ///
		savetex("$gphpath/tableA1_temp1.tex") replace ///
		tblnonote rowvarlabels grplabels(0 No @ 1 Yes)	///
		rowlabels(vic "Victories" @	///
				  exp_scw "Experience" @	///
				  exit "Exit" @	///
				  front "Eastern front")

filefilter "$gphpath/tableA1_temp1.tex" "$gphpath/tableA1_temp2.tex", from("\BShline \BShline") to("\BShline") replace
filefilter "$gphpath/tableA1_temp2.tex" "$gphpath/tableA1_temp3.tex", from("\BSmulticolumn{1}{c}{T-test}") to("\BSmulticolumn{1}{c}{(3)}") replace
filefilter "$gphpath/tableA1_temp3.tex" "$gphpath/tableA1_temp4.tex", from("\BSmulticolumn{1}{c}{Difference}") to("\BSmulticolumn{1}{c}{T-test Difference}") replace
filefilter "$gphpath/tableA1_temp4.tex" "$gphpath/tableA1.tex"		, from("\BSmulticolumn{1}{c}{(3)}  \BS\BS") to("\BSmulticolumn{1}{c}{(3)}  \BS\BS & \BSmulticolumn{4}{c}{Ever peer of mentioned pilot} & \BS\BS \BScline{2-5}") replace

erase "$gphpath/tableA1_temp1.tex"
erase "$gphpath/tableA1_temp2.tex"
erase "$gphpath/tableA1_temp3.tex"
erase "$gphpath/tableA1_temp4.tex"




************************************************************************************************************************
***									FIGURE A1: CUMULATIVE DISTRIBUTION OF VICTORY RATES			 					 ***
************************************************************************************************************************

*Use monthly data
use $dataset, clear

*Create cumulative victories variable
sort name_id time_id
cumul vic, gen(cumulvic)
su cumulvic
gen cv = 1 if cumulvic == 1
replace cv = 0 if cumulvic < 0.00002

*Plot cumulative victories
graph twoway (scatter vic cumulvic) (lfit vic cv)			///
	  , xtitle("Fraction of the data") ytitle("Victories")	///
	    legend(off) xlabel(0(0.25)1) 
graph export "$gphpath/figureA1.eps", replace




************************************************************************************************************************
***								FIGURE A2: MEAN VICTORY RATE PER PILOT AND MONTH									 ***
************************************************************************************************************************

*Use monthly data
use $dataset, clear

*Create average monthly victories and exits
collapse (mean) vic exit, by(time_id)

*Format monthly time variable
tsset time_id
format time_id %tm

*Plot average victories and exits over time
twoway (tsline vic, yaxis(1)) (tsline exit, yaxis(2))	///
	   , xtitle("")
graph export "$gphpath/figureA2.eps", replace



************************************************************************************************************************
***									FIGURE A9:	AIRCRAFT TYPE - USAGE AND FIXED EFFECTS								 ***
************************************************************************************************************************

***PLANE TYPES
*Use monthly data
use $dataset, clear

*Create plane type variables
rename Plane plane
egen partBF109G 			= total(plane == "Bf 109G")
egen partFW190A 			= total(plane == "Fw 190A")
egen partBF109F 			= total(plane == "Bf 109F")          
egen partBF109E 			= total(plane == "Bf 109E") 
egen partBF109GF 			= total(plane == "Bf 109F/G")         		//this one previously had a spelling error (BF190 instead of BF109)        
egen partBF109GK 			= total(plane == "Bf 109G/K")         
egen partBF109G_FW190A 		= total(plane == "Fw 190A, Bf 109G")  
egen partBF109EF 			= total(plane == "Bf 109E/F")         
egen partFW190AD 			= total(plane == "Fw 190A/D")         
egen partBF109GFE 			= total(plane == "Bf 109E/F/G")        		//spelling error in old version (s.a.)
egen partBF109F_FW190A 		= total(plane == "Bf 109F, Fw 190A")    	//spelling error in old version (s.a.)
egen partBF109G_FW190A_2 	= total(plane == "Bf 109G, Fw 190A")		//sspelling error in old version (s.a.)
egen partBF109GF_FW190A 	= total(plane == "Bf 109F/G, Fw 190A")		//spelling error in old version (s.a.)
egen partBF109F_FW190A_2 	= total(plane == "Bf 109F/Fw 190A")  		//spelling error in old version (s.a.)
egen partBF109K 			= total(plane == "Bf 109K")          
egen partFW190D 			= total(plane == "Fw 190D")         
egen partME262A 			= total(plane == "Me 262A")         
egen partBF109EF_2 			= total(plane == "Bf 109E/Bf 109F")       
egen partFW190A_2 			= total(plane == "Fw 190A**")        
egen partBF109GK_FW190D 	= total(plane == "Bf 109G/K, Fw 190D")  

su part*

*Plot hisogram for plane types
graph hbar part*, legend(off) showyvars ytitle("number of man-months") bargap(20)							///
				  yvaroptions(relabel(1 "Bf 109G" 2 "FW 190A" 3 "Bf 109F" 4 "Bf 109E" 5 "Bf 109F/G"  		///
									  6 "Bf 109G/K" 7 "Fw 190A, Bf 109G" 8 "Bf 109E/F" 9 "Fw 190A/D" 		///
									  10 "Bf 109E/F/G" 11 "Bf 109F, Fw 190A" 12 "Bf 109G, Fw 190A"   		///
									  13 "Bf 109F/G, Fw 190A" 14 "Bf 109F/Fw 190A" 15 "Bf 109K"      		///
									  16 "Fw 190D" 17 "Me 262A" 18 "Bf 109E/Bf 109F" 19 "Fw 190A**"  		///
									  20 "Bf 109G/K, Fw 190D"))
graph export 	 "$gphpath/figureA9_types.eps", replace


*PLANE TYPE FEs
use $dataset, clear

*change labels
foreach var of varlist BF109* FW*{
	label variable `var' "`var'"
}


*Run vic regression
xtset name_id t
est clear
eststo: xi: reghdfe vic pastpeerofmentioned_n pilot_quality_scwadj front exp_scw BF109* FW* i.t, cl(id_squadron) a(name_id id_squadron)

*Plot FEs
coefplot, keep(BF109* FW*) cism levels(90) xline(0) ytitle ("Aircraft fixed effects")
graph export 	 "$gphpath/figureA9_effects.eps", replace

									   
