*       This script creates a program to create ever peer variables

********************************************************************************
*** 1. Define the ever peer program
******************************************************************************** 

program drop _all
program define gen_everpeer_monthly

*find all peers of awarded
keep name_id t `1' 
rename name_id peer_comp
keep if `1' == 1

gcollapse (max) `1', by(peer_comp) // we only care about which pilots get mentioned, not when
	
merge 1:m peer_comp using temp/allpeers_monthly  // expand to matrix with all pilot-pastsquadronpeer combinations
keep if _m == 3  //drop pilots that never have peers
drop _m
	
*generate ever peer variable on the pilot level
gen everpeer_`1' = 1 if `1' == 1


*keep id of mentioned pilot
gcollapse (max) everpeer_`1', by(name_id peer_comp)
by name_id (peer_comp), sort: gen evermentioned_id = string(peer_comp)
by name_id (peer_comp), sort: replace evermentioned_id = evermentioned_id[_n-1] + " " + evermentioned_id
gen len = length(evermentioned_id)
gsort -len
duplicates drop name_id, force
drop len
gsort name_id

recode everpeer_`1' .=0

*merge the past peer variable to the main data
merge 1:m name_id using `2'
drop if _m == 1 
drop _m
recode everpeer_`1' .=0

bysort name_id: egen everpeer_h_`1' = max(everpeer_`1')
drop everpeer_`1'
rename everpeer_h_`1' everpeer_`1'

end


