*       This script creates a program to create past peer and mention period variables

********************************************************************************
*** Define the past peer program
******************************************************************************** 

program drop _all
program define gen_pastpeer_monthly

*find past peers of awarded
keep name_id t `1' 
rename name_id peer_comp
keep if `1' == 1
	
merge 1:m peer_comp t using temp/allpeers_monthly  // expand to matrix with all pilot-pastsquadronpeer combinations
keep if _m == 3  //drop other pilots and pilots that never have peers
drop _m
	
fmerge 1:1 name_id peer_comp t using temp/squadronlist_monthly
keep if _m==1 // keep only those pastpeers that are not currently in the same squadron
drop _m

*generate past peer variable on the pilot-month level
gen pastpeerof`1' = 1 if `1' == 1
gcollapse (max) pastpeerof`1', by(name_id t)
recode pastpeerof`1' .=0

*merge the past peer variable to the main data
fmerge 1:1 name_id t using `2'
drop if _m == 1 
drop _m
recode pastpeerof`1' .=0
replace pastpeerof`1' =. if `1' == 1 // drop observations of mentioned pilots in mention periods

*create mention period variable
bysort t: egen `1'period = max(`1') 
replace `1'period = . if `1' == 1 

end
